FROM mcr.microsoft.com/dotnet/aspnet:10.0 AS final
WORKDIR /app

USER app

COPY --chown=app:app ./BlazorAppTest/bin/Release/net10.0/publish/ .

EXPOSE 7007
ENV ASPNETCORE_HTTP_PORTS=7007

ENTRYPOINT ["dotnet", "BlazorAppTest.dll"]